catalog:
  title: NI Hand Server

templates:
- make
- ros-base
- base

variables:
  description: Shadow Hand Server
  keywords:
  - control
  - hand
  access: private

  redmine.instance: https://projects.cit-ec.uni-bielefeld.de
  redmine-project: agni-hardware

  repository: http://projects.cit-ec.uni-bielefeld.de/git/agni-hardware.HandServer.git
  scm.credentials: projects.cit-ec
  git.checkout-submodules?: true
  branches:
  - master
  - motorhand
  tags:
  - famula-0.1

  platform-requires:
    ubuntu:
      packages:
      - libqwt-qt5-dev

  extra-requires:
  - meta: ni-logger
  - pkg-config: xmltio
  - meta: xmltio-ni
  - cmake: hsm
  - meta: spacenavi
  - meta: libSTP
  - cmake: sr_hand

  ros.install.prefix: ${next-value|${toolkit.dir}/ros/${ros}}

  shell.environment:
  - '@{next-value|[]}'
  - INSTALL_PREFIX="${toolkit.dir}"
  - ARCH=lin\$(uname -m)

  make.command: |
    ${ros.source.underlay}
    ${next-value}

    cd gui
    QT_SELECT=5 qmake
    sed -i 's# -W # #' Makefile
    ${next-value}
